
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.abc.init;

import org.checkerframework.checker.units.qual.N;
import org.checkerframework.checker.units.qual.K;
import org.checkerframework.checker.units.qual.C;
import org.checkerframework.checker.units.qual.A;

import net.neoforged.neoforge.registries.DeferredRegister;
import net.neoforged.neoforge.registries.DeferredItem;
import net.neoforged.neoforge.registries.DeferredHolder;

import net.minecraft.world.level.block.Block;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.BlockItem;

import net.mcreator.abc.item.FoxClothesItem;
import net.mcreator.abc.AbcMod;

public class AbcModItems {
	public static final DeferredRegister.Items REGISTRY = DeferredRegister.createItems(AbcMod.MODID);
	public static final DeferredItem<Item> A = block(AbcModBlocks.A);
	public static final DeferredItem<Item> B = block(AbcModBlocks.B);
	public static final DeferredItem<Item> C = block(AbcModBlocks.C);
	public static final DeferredItem<Item> D = block(AbcModBlocks.D);
	public static final DeferredItem<Item> E = block(AbcModBlocks.E);
	public static final DeferredItem<Item> F = block(AbcModBlocks.F);
	public static final DeferredItem<Item> G = block(AbcModBlocks.G);
	public static final DeferredItem<Item> I = block(AbcModBlocks.I);
	public static final DeferredItem<Item> J = block(AbcModBlocks.J);
	public static final DeferredItem<Item> K = block(AbcModBlocks.K);
	public static final DeferredItem<Item> L = block(AbcModBlocks.L);
	public static final DeferredItem<Item> M = block(AbcModBlocks.M);
	public static final DeferredItem<Item> N = block(AbcModBlocks.N);
	public static final DeferredItem<Item> O = block(AbcModBlocks.O);
	public static final DeferredItem<Item> H = block(AbcModBlocks.H);
	public static final DeferredItem<Item> P = block(AbcModBlocks.P);
	public static final DeferredItem<Item> Q = block(AbcModBlocks.Q);
	public static final DeferredItem<Item> R = block(AbcModBlocks.R);
	public static final DeferredItem<Item> S = block(AbcModBlocks.S);
	public static final DeferredItem<Item> T = block(AbcModBlocks.T);
	public static final DeferredItem<Item> U = block(AbcModBlocks.U);
	public static final DeferredItem<Item> V = block(AbcModBlocks.V);
	public static final DeferredItem<Item> W = block(AbcModBlocks.W);
	public static final DeferredItem<Item> X = block(AbcModBlocks.X);
	public static final DeferredItem<Item> Y = block(AbcModBlocks.Y);
	public static final DeferredItem<Item> Z = block(AbcModBlocks.Z);
	public static final DeferredItem<Item> FOX_PLUSH = block(AbcModBlocks.FOX_PLUSH);
	public static final DeferredItem<Item> FOX_MUG = block(AbcModBlocks.FOX_MUG);
	public static final DeferredItem<Item> FOX_CLOTHES_HELMET = REGISTRY.register("fox_clothes_helmet", FoxClothesItem.Helmet::new);
	public static final DeferredItem<Item> FOX_CLOTHES_CHESTPLATE = REGISTRY.register("fox_clothes_chestplate", FoxClothesItem.Chestplate::new);
	public static final DeferredItem<Item> FOX_CLOTHES_LEGGINGS = REGISTRY.register("fox_clothes_leggings", FoxClothesItem.Leggings::new);
	public static final DeferredItem<Item> FOX_CLOTHES_BOOTS = REGISTRY.register("fox_clothes_boots", FoxClothesItem.Boots::new);
	public static final DeferredItem<Item> NUMBER_1 = block(AbcModBlocks.NUMBER_1);
	public static final DeferredItem<Item> NUMBER_2 = block(AbcModBlocks.NUMBER_2);
	public static final DeferredItem<Item> NUMBER_3 = block(AbcModBlocks.NUMBER_3);
	public static final DeferredItem<Item> NUMBER_4 = block(AbcModBlocks.NUMBER_4);
	public static final DeferredItem<Item> NUMBER_5 = block(AbcModBlocks.NUMBER_5);
	public static final DeferredItem<Item> NUMBER_6 = block(AbcModBlocks.NUMBER_6);
	public static final DeferredItem<Item> NUMBER_7 = block(AbcModBlocks.NUMBER_7);
	public static final DeferredItem<Item> NUMBER_0 = block(AbcModBlocks.NUMBER_0);
	public static final DeferredItem<Item> NUMBER_8 = block(AbcModBlocks.NUMBER_8);
	public static final DeferredItem<Item> NUMBER_9 = block(AbcModBlocks.NUMBER_9);

	// Start of user code block custom items
	// End of user code block custom items
	private static DeferredItem<Item> block(DeferredHolder<Block, Block> block) {
		return REGISTRY.register(block.getId().getPath(), () -> new BlockItem(block.get(), new Item.Properties()));
	}
}
